document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_300 | ---
+++
@@ -14,4 +14,4 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-zip -r doi.zip . -x ".git*" "output_styles.sh" "styles/*" "locales/*" "citeproc-js/*" "Readme.md" "zip_extension.sh" "doi.zip" "LICENSE"
+zip -r doi.zip . -x ".git*" ".jshintrc" "outpu... | bash |
d_bash_301 | ---
+++
@@ -31,6 +31,7 @@
# change diff/merge tool to work with beyond compare 3 properly in linux
if [ "$1" = "nix" ]; then
+ git config --global core.editor vim
git config --global diff.tool bc3
git config --global difftool.bc3.trustExitCode true
git config --global merge.tool bc3 | bash |
d_bash_302 | ---
+++
@@ -24,6 +24,7 @@
echo "Downloading bin/${name}..."
local url=https://github.com/autozimu/LanguageClient-neovim/releases/download/$version/${1}
if (try_curl $url || try_wget $url); then
+ chmod a+x bin/$name
return
else
echo "Failed to download with curl and wget" | bash |
d_bash_303 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
set -e
+export LC_CTYPE=C
cd $REBAR_DEPS_DIR/geoip
| bash |
d_bash_304 | ---
+++
@@ -1,3 +1,4 @@
+#!/bin/sh
# Copyright 2014 The Rust Project Developers. See the COPYRIGHT
# file at the top-level directory of this distribution and at
# http://rust-lang.org/COPYRIGHT. | bash |
d_bash_305 | ---
+++
@@ -5,6 +5,7 @@
git fetch $this master
}
+git reset --hard origin/master
git clean -ffdx
foreach this (cmake-utils) {
git subtree pull --prefix 3rdparty/github/$this $this master --squash | bash |
d_bash_306 | ---
+++
@@ -19,4 +19,6 @@
dist/build/m3/m3 ${testdir:+-I${testdir} -o${outdir}} ${mod}
file=${outdir}/${mod/::/__}
llvm-as ${file}.ll
-lli ${file}.bc "$@"
+llc -o ${file}.s ${file}.bc
+gcc -o ${file} ${file}.s -lgmp
+${file} "$@" | bash |
d_bash_307 | ---
+++
@@ -3,3 +3,4 @@
cd `dirname $0`
forever start app.js
forever start scripts/poll.js -d
+forever list | bash |
d_bash_308 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+exit 0 #temporarily disable this during the CircleCI transition
+
if [ $# -ne 4 ]; then
echo 'Set the github build status for a commit (this includes the commit'\''s pull request)'. | bash |
d_bash_309 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-BAZEL_URL=https://github.com/bazelbuild/bazel/releases/download/0.3.2/bazel-0.3.2-installer-linux-x86_64.sh
+BAZEL_URL=https://github.com/bazelbuild/bazel/releases/download/0.4.3/bazel-0.4.3-installer-linux-x86_64.sh
# Copied from https://raw.githubusercontent.com/michaelkli... | bash |
d_bash_310 | ---
+++
@@ -13,5 +13,3 @@
source .venv/bin/activate
pip install -r requirements.txt
-
-python gevent/setup.py install | bash |
d_bash_311 | ---
+++
@@ -15,6 +15,6 @@
rm -f ./buildscripts/certs/dev.cer
rm -f ./buildscripts/certs/dev.p12
-xcodebuild -scheme 'NetNewsWire' -configuration Release -allowProvisioningUpdates -showBuildTimingSummary
+xcodebuild -scheme 'NetNewsWire' -configuration Debug -allowProvisioningUpdates -showBuildTimingSummary
sec... | bash |
d_bash_312 | ---
+++
@@ -8,7 +8,6 @@
###########################
# filtet the comment line
###########################
-cp $1/mf.template $1/bbb
awk -F "#" '{if($1!="") print $1 }' $1/mf.template > $1/mf.template.tmp
########################### | bash |
d_bash_313 | ---
+++
@@ -2,5 +2,5 @@
source $HOME/.bashrc
source $HOME/trackercise/venv/bin/activate
-python manage.py backup_data_to_s3
+python $HOME/trackercise/manage.py backup_data_to_s3
deactivate | bash |
d_bash_314 | ---
+++
@@ -18,4 +18,4 @@
set -x
# We only need to cleanup the session, we didn't use barbican-enabled TLC file
-tlc --session ${TEST_SESSION} --debug cleanup; exit 1
+tlc --session ${TEST_SESSION} --debug cleanup; exit 217 | bash |
d_bash_315 | ---
+++
@@ -1,3 +1,6 @@
#!/bin/sh
-clang -cc1 -load build-debug/libcppanalyze.so -plugin rename -x c++ -std=c++98 -fcxx-exceptions -fexceptions tests/test.cpp
+clang -cc1 -load build-debug/libcppanalyze.so -plugin rename -x c++ -std=c++98 -fcxx-exceptions -fexceptions tests/test.cpp
+
+## uncomment to dump the AS... | bash |
d_bash_316 | ---
+++
@@ -6,6 +6,6 @@
sleep .1
done
-nc -lk -p 514 -u | logger &
+echo -n | nc -lk -p 514 -u | logger &
exec logread -f | bash |
d_bash_317 | ---
+++
@@ -1,5 +1,5 @@
notify () {
- echo "-----> protected-site-buildpack: $@"
+ echo "-----> static-site-buildpack: $@"
}
read_env () { | bash |
d_bash_318 | ---
+++
@@ -31,3 +31,4 @@
bindkey '^[[H' beginning-of-line
bindkey '^[[F' end-of-line
+bindkey '\e[3~' delete-char | bash |
d_bash_319 | ---
+++
@@ -15,4 +15,6 @@
rm -R /data/app/com.google.android.youtube-*
rm -R /data/app/com.touchtype.swiftkey-*
rm -R /data/app/de.robv.android.xposed.installer-*
-exit
+
+#chown -R sdcard_rw:sdcard_rw /sdcard/
+chown -R media_rw:media_rw /data/media | bash |
d_bash_320 | ---
+++
@@ -9,5 +9,5 @@
# find . -name \*.pyc | xargs rm
cp ../CFC_WebApp/config.json config.json
cp ../CFC_WebApp/keys.json.sample keys.json
-PYTHONPATH=. python -m unittest discover -s tests -p Test*
+PYTHONPATH=.:../CFC_WebApp python -m unittest discover -s tests -p Test*
popd | bash |
d_bash_321 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+# delete any existing alluxio-env.sh
+rm -f /alluxio/conf/alluxio-env.sh
# create alluxio-env.sh
/alluxio/bin/alluxio bootstrap-conf $(tail -n1 /alluxio/conf/workers) | bash |
d_bash_322 | ---
+++
@@ -5,5 +5,5 @@
# My aim is to make the cross compilation script default to these values
# so that this command line can be discarded.
-./cross_compile_ffmpeg_cygwin64.sh --build-ffmpeg-shared=n --build-ffmpeg-static=y --disable-nonfree=n --sandbox-ok=y --build-libmxf=y --build-mp4box=y --build-choice=win... | bash |
d_bash_323 | ---
+++
@@ -20,6 +20,7 @@
$JBOSS_HOME/bin/launch/https.sh
$JBOSS_HOME/bin/launch/json_logging.sh
$JBOSS_HOME/bin/launch/security-domains.sh
+ $JBOSS_HOME/bin/launch/jboss_modules_system_pkgs.sh
$JBOSS_HOME/bin/launch/infinispan-config.sh
$JBOSS_HOME/bin/launch/management-realm.sh
$JBOSS_HOME/bin/la... | bash |
d_bash_324 | ---
+++
@@ -1,2 +1,2 @@
-gobench -package=./hugolib -bench="BenchmarkSiteBuilding/TOML,num_langs=3,num_pages=5000,tags_per_page=5,shortcodes,render" -count=3 > 1.bench
+gobench -package=./hugolib -bench="BenchmarkSiteBuilding/YAML,num_langs=3,num_pages=5000,tags_per_page=5,shortcodes,render" -count=3 > 1.bench
bench... | bash |
d_bash_325 | ---
+++
@@ -10,8 +10,10 @@
git config --global core.editor "nano"
git config --global alias.tree "log --graph --decorate --pretty=oneline --abbrev-commit"
-# https://github.com/so-fancy/diff-so-fancy
-# git config --global core.pager "diff-so-fancy | less --tabs=4 -RFX"
+# https://github.com/dandavison/delta
+git... | bash |
d_bash_326 | ---
+++
@@ -1,4 +1,4 @@
if is_mac; then
alias genctags='/Applications/BBEdit.app/Contents/Helpers/ctags --excmd=number --tag-relative=no --fields=+a+m+n+S -f tags -R "$PWD"'
- alias subl='/Applications/Sublime\ Text\ 2.app/Contents/SharedSupport/bin/subl'
+ alias subl='/Applications/Sublime\ Text.app/Cont... | bash |
d_bash_327 | ---
+++
@@ -7,6 +7,6 @@
export PUBLIC_HOST_PORT=$2
export SSH_ROOT_PASSWORD=$3
echo "Prepare to create ssh container CLIENT_ID={$CLIENT_ID}, HOST_PORT={$PUBLIC_HOST_PORT}, SSH_ROOT_PASS={$SSH_ROOT_PASSWORD}"
- docker-compose run reversesshpublic
+ docker-compose up reversesshpublic
fi
| bash |
d_bash_328 | ---
+++
@@ -7,4 +7,4 @@
git_checkout ${fiat_parsers_CI_BRANCH} ${fiat_parsers_CI_GITURL} ${fiat_parsers_CI_DIR}
-( cd ${fiat_parsers_CI_DIR} && make -j ${NJOBS} parsers )
+( cd ${fiat_parsers_CI_DIR} && make -j ${NJOBS} parsers parsers-examples ) | bash |
d_bash_329 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
cd "${0%/*}"
-cat setup.py | sed -e "s/version='[0123456789]\+\.[0123456789]\+\.[01234567989]\+'/version='$( git rev-parse --abbrev-ref HEAD | cut -d / -f 2 )'/" > setup.py
+cat setup.py | sed -e "s/version='[0123456789]\{1,\}\.[0123456789]\{1,\}\.[01234567989]\{1,\}'/version='$( g... | bash |
d_bash_330 | ---
+++
@@ -6,4 +6,4 @@
bash Miniconda3-latest-${tag}-x86_64.sh -b -p /tmp/anaconda
export PATH=/tmp/anaconda/bin:$PATH
conda install -y --file scripts/requirements.txt
-pip install git+https://github.com/bioconda/bioconda-utils.git@bgruening
+pip install git+https://github.com/bioconda/bioconda-utils.git | bash |
d_bash_331 | ---
+++
@@ -12,7 +12,6 @@
git clone https://github.com/sheerun/vim-polyglot $f/polyglot
git clone https://github.com/tpope/vim-rails $f/rails
git clone https://github.com/SirVer/ultisnips $f/ultisnips
- git clone https://github.com/w0rp/ale $f/ale
}
install_dotfiles() { | bash |
d_bash_332 | ---
+++
@@ -23,7 +23,7 @@
version=$(buildkite-agent meta-data get "agent-version")
build=$(buildkite-agent meta-data get "agent-version-build")
-for variant in "alpine" "ubuntu" "centos" ; do
+for variant in "alpine" "ubuntu" "centos" "sidecar" ; do
echo "--- Getting docker image tag for $variant from build me... | bash |
d_bash_333 | ---
+++
@@ -1,6 +1,6 @@
# Is oh_my_zsh installed?
_oh_my_zsh_installed() {
- [ -d "${HOME}/.oh_my_zsh/" ]
+ [ -d "${HOME}/.oh-my-zsh/" ]
}
# Install oh_my_zsh | bash |
d_bash_334 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/sh
+
+set -e
freq=20000
min_good=0 | bash |
d_bash_335 | ---
+++
@@ -22,4 +22,4 @@
source hack/common.sh
source hack/config.sh
-${TESTS_OUT_DIR}/tests.test -kubeconfig=${kubeconfig} -test.timeout 30m ${FUNC_TEST_ARGS}
+${TESTS_OUT_DIR}/tests.test -kubeconfig=${kubeconfig} -test.timeout 40m ${FUNC_TEST_ARGS} | bash |
d_bash_336 | ---
+++
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+
+mkdir filters 2> /dev/null
echo "####### Building Libs #######"
cd lib
./build-libs | bash |
d_bash_337 | ---
+++
@@ -23,6 +23,4 @@
echo "here -> $(readlink $HOME/.shell.here)"
}
-there() {
- echo "$HOME/.shell.here"
-}
+there="$HOME/.shell.here" | bash |
d_bash_338 | ---
+++
@@ -22,5 +22,6 @@
python2.7 \
sudo \
texinfo \
+ unzip \
wget \
xz-utils | bash |
d_bash_339 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-WORKDIR=${WORKDIR:=`pwd`}
+WORKDIR=${WORKDIR:=$(dirname `pwd`)}
PYTHONPATH=$WORKDIR/src
export PYTHONPATH
| bash |
d_bash_340 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-ceylon -Doutput-to-temp= test --rep=build/modules-jvm/main test.com.vasileff.ceylon.dart.compiler/1.3.1-DP5-SNAPSHOT
+ceylon -Doutput-to-temp= test --rep=build/modules-jvm/main test.com.vasileff.ceylon.dart.compiler/1.3.2-DP5-SNAPSHOT | bash |
d_bash_341 | ---
+++
@@ -5,3 +5,5 @@
if test -f /sys/kernel/mm/transparent_hugepage/defrag; then
echo never > /sys/kernel/mm/transparent_hugepage/defrag
fi
+
+service mongod restart | bash |
d_bash_342 | ---
+++
@@ -4,4 +4,4 @@
cd "$(dirname "$0")"
-./run-with-version.sh 15.5.x "$@"
+./run-with-version.sh 16.0.0-beta1 "$@" | bash |
d_bash_343 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/sh
-docker run -d --net=host -p 3306:3006 -v /var/host_lib/mysql:/var/lib/mysql -t hnakamur/mysql
+docker run -d --net=host --name mysql -p 3306:3006 -v /var/host_lib/mysql:/var/lib/mysql -t hnakamur/mysql | bash |
d_bash_344 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash -eux
create_vagrantfile_linux() {
+vagrant plugin list | grep vagrant-serverspec && echo "vagrant-serverspec installed" || vagrant plugin install vagrant-serverspec
cat << EOF > $tmp_path/Vagrantfile
Vagrant.configure('2') do |config|
config.vm.box = '$box_name' | bash |
d_bash_345 | ---
+++
@@ -12,6 +12,6 @@
|| ee_lib_error "Unable to set executable permission for wp-cli, exit status = " $?
# Download auto completion
- wget -qO /etc/bash_completion.d/wp-completion.bash https://raw.githubusercontent.com/wp-cli/wp-cli/v0.16.0/utils/wp-completion.bash
+ wget -qO /etc/bash_completion.d/wp-... | bash |
d_bash_346 | ---
+++
@@ -1,4 +1,6 @@
# init according to man page
+# Note: Don't install ruby with homebrew if you are using rbenv.
+export RBENV_ROOT=/usr/local/var/rbenv
if (( $+commands[rbenv] ))
then
eval "$(rbenv init -)" | bash |
d_bash_347 | ---
+++
@@ -9,4 +9,5 @@
eval "$(bbl print-env)"
set -x
popd
- credhub get -n /bosh-$ENV_NAME/cf/cf_admin_password -j | jq -r .value > cf-admin-password/password
+ credhub get -n /bosh-"$ENV_NAME"/cf/cf_admin_password -j | jq -r .value > cf-admin-password/password
+ | bash |
d_bash_348 | ---
+++
@@ -2,4 +2,4 @@
cd client || exit -1
-npm run ng -- server --hmr --host 0.0.0.0 --port 3000
+npm run ng -- server --hmr --host 0.0.0.0 --disable-host-check --port 3000 | bash |
d_bash_349 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
+echo "executing deploy.sh"
echo "decrypting keyrings"
openssl aes-256-cbc -pass pass:$ENCRYPTION_PASSWORD -in $GPG_DIR/pubring.gpg.enc -out $GPG_DIR/pubring.gpg -d
openssl aes-256-cbc -pass pass:$ENCRYPTION_PASSWORD -in $GPG_DIR/secring.gpg.enc -out $GPG_DIR/secring.gpg -d | bash |
d_bash_350 | ---
+++
@@ -3,6 +3,7 @@
alias history="fc -l 1"
alias internet\?="ping 8.8.8.8"
alias dev="screen -RD development"
+alias build="screen -RD build"
alias serve="python3 -m http.server"
alias k='kubectl'
| bash |
d_bash_351 | ---
+++
@@ -1,6 +1,6 @@
edit() {
if [ "${#}" -ne 0 ]; then
- open -a 'Sublime Text' "${@}"
+ open -a 'Visual Studio Code' "${@}"
else
LOG ERROR 'Wrong number of arguments.'
fi | bash |
d_bash_352 | ---
+++
@@ -17,7 +17,6 @@
# This script calls out to scripts in tektoncd/plumbing to setup a cluster
# and deploy Tekton Pipelines to it for running integration tests.
-go get -d github.com/GoogleCloudPlatform/cloud-builders/gcs-fetcher/cmd/gcs-fetcher
source $(git rev-parse --show-toplevel)/test/e2e-common.sh
... | bash |
d_bash_353 | ---
+++
@@ -16,6 +16,9 @@
# Tap homebrew cask versions to enable installation of alternate Cask versions
brew tap caskroom/versions
+
+# Install Java required by another apps
+brew cask install java
# Install applications
brew cask install alfred | bash |
d_bash_354 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
set -e
ARTIFACT_SPEC=$1 | bash |
d_bash_355 | ---
+++
@@ -16,5 +16,5 @@
;;
esac
bundle exec rake assets:precompile
-REDIS_URL="redis://redis:16379" bundle exec sidekiq -d -l /var/log/sidekiq.log --environment production
+REDIS_URL="redis://redis:6379" bundle exec sidekiq -d -l /var/log/sidekiq.log --environment production
bundle exec rails server --bindi... | bash |
d_bash_356 | ---
+++
@@ -32,3 +32,6 @@
alias egrep="egrep $GREP_OPTIONS"
alias wget='wget -c' # continue getting partially-downloaded files
+
+alias edf='$EDITOR ~/.dotfiles'
+alias rldf='exec -l $SHELL' | bash |
d_bash_357 | ---
+++
@@ -30,6 +30,7 @@
curl -L "http://repository.sonatype.org/service/local/artifact/maven/redirect?r=central-proxy&g=$GROUP_ID&a=$ARTIFACT_ID&v=LATEST&c=javadoc" > javadoc.zip
mkdir javadoc
unzip javadoc.zip -d javadoc
+rm javadoc.zip
# Stage all files in git and create a commit
git add . | bash |
d_bash_358 | ---
+++
@@ -4,4 +4,5 @@
conan user
conan profile new default --detect
-curl https://sh.rustup.rs -sSf | sh
+curl https://sh.rustup.rs -sSf | sh -s -- -y
+. $HOME/.cargo/env | bash |
d_bash_359 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-HOME=/vagrant/user_level_slurm_reservations
+HOME=/home/centos/user_level_slurm_reservations
LOGFILE=/var/log/slurm-llnl/hil_monitor.log
source $HOME/ve/bin/activate | bash |
d_bash_360 | ---
+++
@@ -10,3 +10,5 @@
rm /home/vagrant/linux.iso
umount /mnt/cdrom
apt-get -y purge build-essential linux-headers-$(uname -r)
+sed -i.bak 's/answer AUTO_KMODS_ENABLED_ANSWER no/answer AUTO_KMODS_ENABLED_ANSWER yes/g' /etc/vmware-tools/locations
+sed -i 's/answer AUTO_KMODS_ENABLED no/answer AUTO_KMODS_ENABLED ... | bash |
d_bash_361 | ---
+++
@@ -11,6 +11,7 @@
psql -U postgres -c "create user pgx_ssl SUPERUSER PASSWORD 'secret'"
psql -U postgres -c "create user pgx_md5 SUPERUSER PASSWORD 'secret'"
psql -U postgres -c "create user pgx_pw SUPERUSER PASSWORD 'secret'"
+ psql -U postgres -c "create user travis"
psql -U postgres -c "creat... | bash |
d_bash_362 | ---
+++
@@ -19,4 +19,4 @@
ex_re
tar cvfz ../znjs.tar.gz $ex --mode="777" . | sed "s|^|zeronet-js: |g"
mv ../znjs.tar.gz .
-npm i ./znjs.tar.gz --production -g
+npm i ./znjs.tar.gz --unsafe-perm --production -g | bash |
d_bash_363 | ---
+++
@@ -2,6 +2,7 @@
PARTITION="xvdb"
MOUNTPOINT="/mnt"
if grep $PARTITION /proc/partitions; then
+ sudo umount $MOUNTPOINT || /bin/true
sudo mkfs.ext4 -F /dev/$PARTITION
[ -d $MOUNTPOINT ] || sudo mkdir $MOUNTPOINT
sudo mount -o noatime,nodiratime,barrier=0 /dev/$PARTITION $MOUNTPOINT | bash |
d_bash_364 | ---
+++
@@ -7,6 +7,7 @@
collection="$1"
yum -y install centos-release-scl
+ yum -y remove \*-scldevel
yum -y install ${collection}\*
keyid=$(gpg --list-packets /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-SCLo | grep -e '^\s*keyid' | awk '{print tolower($NF)}') | bash |
d_bash_365 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash -e
BASEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-"${BASEDIR}"/run_test_pg.sh -p digdag-tests --tests 'acceptance.td.BigQueryIT.*'
+"${BASEDIR}"/run_test_pg.sh -p digdag-tests --tests 'acceptance.td.BigQueryIT'
| bash |
d_bash_366 | ---
+++
@@ -19,6 +19,7 @@
# Homebrew casks
casks=(
virtualbox
+ dockertoolbox
)
# Install Homebrew casks. | bash |
d_bash_367 | ---
+++
@@ -2,5 +2,5 @@
[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh
-export BAT_THEME="ansi-dark"
+export BAT_THEME="ansi"
export BAT_STYLE="plain" | bash |
d_bash_368 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
# This script is just used to establish the ssh connection and run the tests.
+set -e
function run_tests() {
cp /home/jenkins/workspace/yoctobuild/build/tmp/deploy/images/beaglebone/core-image-base-beaglebone.sdimg \ | bash |
d_bash_369 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-OPTS="-e $ES_URL"
+OPTS="-e $ES_URL -H $HOSTNAME"
exec bin/kibana $OPTS
| bash |
d_bash_370 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="19.03.7"
+version="19.03.8"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_371 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-diff=$(git diff -- tests/**/MANIFEST.json)
+diff=$(git diff -- tests/wpt/**/MANIFEST.json)
echo "$diff"
[[ ! $diff ]] | bash |
d_bash_372 | ---
+++
@@ -2,3 +2,5 @@
export EDITOR=vim
export VISUAL=vim
+
+export PYTHONPATH="${PYTHONPATH}:/home/musicnate/Documents/scripts/" | bash |
d_bash_373 | ---
+++
@@ -20,3 +20,4 @@
fi
./configure --prefix=${PREFIX}
${PYTHON} setup.py install
+if [ `uname` == Darwin ]; then install_name_tool -change /System/Library/Frameworks/Python.framework/Versions/2.7/Python @rpath/libpython2.7.dylib ${SP_DIR}/*.so ; fi | bash |
d_bash_374 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-image=${WF_DOCKER_IMAGE:-gcr.io/web-central/wf-dev}
+image=${WF_DOCKER_IMAGE:-google/webfundamentals}
cmd=$1
action=$2
if [[ "$cmd" = "grunt" && "$action" = "develop" ]]; then | bash |
d_bash_375 | ---
+++
@@ -12,4 +12,4 @@
-v $CRONDIR:/home/ubuntu \
-w /home/ubuntu \
fpco/stackage-server-prod:latest \
- bash -c "useradd $(whoami) -u $(id -u); sudo -u $(whoami) env HOME=/home/ubuntu AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY bash -c '/usr/local/bin/stacka... | bash |
d_bash_376 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
- sudo add-apt-repository ppa:zeal-developers/ppa
+ sudo yes | add-apt-repository ppa:zeal-developers/ppa
sudo apt-get update
sudo apt-get install zeal | bash |
d_bash_377 | ---
+++
@@ -11,4 +11,6 @@
bindkey '\e[H' beginning-of-line # Home
bindkey '\e[F' end-of-line # End
+setopt hist_ignore_dups hist_ignore_space inc_append_history
+
[[ -f ~/.config/zsh/local-config.zsh ]] && source ~/.config/zsh/local-config.zsh | bash |
d_bash_378 | ---
+++
@@ -19,6 +19,6 @@
const (
EOH
-sed -n 's/^[ ]*\(SIG[A-Z0-9][A-Z0-9]*\).*/ \1 = UnixSignal(syscall.\1)/p' "$1"
+sed -n 's/^[ ]*\(SIG[A-Z0-9][A-Z0-9]*\)[ ].*/ \1 = UnixSignal(syscall.\1)/p' "$1"
echo ")" | bash |
d_bash_379 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
set -e
-exec ./manage.py celery worker -A laalaa --concurrency=$WORKER_APP_CONCURRENCY --loglevel=$LOG_LEVEL
+exec ./manage.py celery worker -A laalaa --concurrency=$WORKER_APP_CONCURRENCY --loglevel=$LOG_LEVEL --without-gossip --without-mingle --without-heartbeat | bash |
d_bash_380 | ---
+++
@@ -1,6 +1,4 @@
#!/bin/bash -e
-sudo sysctl fs.inotify.max_user_watches=524288
-sudo sysctl -p
npm run build
npm run git-user
node transformer | bash |
d_bash_381 | ---
+++
@@ -1,5 +1,3 @@
-# The commented command is to avoid compilation of `numpy` and `scipy`
-# $ `brew install pkg-config` only for MacOS: required by `matplotlib`
-pip3.6 install numpy scipy ipython jupyter sphinx sympy aiohttp pymc matplotlib
+pip3.6 install numpy scipy ipython jupyter sphinx sympy aiohttp ... | bash |
d_bash_382 | ---
+++
@@ -50,5 +50,5 @@
janus-pp-rec $videoMjr $videoSource
command="ffmpeg -i ${videoSource} $ffmpegParams -s ${width}x${height} ${outputFile}"
echo $command
-$command
+$command || test -f "${outputFile}"
rm $videoSource | bash |
d_bash_383 | ---
+++
@@ -40,3 +40,7 @@
yum -y install openssl openssl-devel
yum install -y /vagrant/jdk-8u112-linux-x64.rpm
+# Create a couple of directories for Apache Hadoop.
+#
+mkdir -p /data/disk1 /data/disk2
+ | bash |
d_bash_384 | ---
+++
@@ -19,5 +19,5 @@
# under the License.
#
-mvn -Preporting site site:stage $@
-mvn scm-publish:publish-scm $@
+mvn -Preporting site site:stage "$@"
+mvn scm-publish:publish-scm "$@" | bash |
d_bash_385 | ---
+++
@@ -1,2 +1,2 @@
-export PATH="./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
+export PATH="/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH"
export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_386 | ---
+++
@@ -1,2 +1,5 @@
# Use coreutils from brew. Install via `$ brew install coreutils'.
-export PATH="$(brew --prefix coreutils)/libexec/gnubin:$PATH"
+which brew &> /dev/null
+if [[ $? -eq 0 ]]; then
+ export PATH="$(brew --prefix coreutils)/libexec/gnubin:$PATH"
+fi | bash |
d_bash_387 | ---
+++
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
rm -r ./build/*
grunt
-aws s3 sync ./build/ s3://fucking-eu-cookies/ --exclude '*' --include "*.js" --exclude "*beta/*" --cache-control "public, max-age=600" --content-type="application/javascript;charset=utf-8" --delete
-aws s3 sync ./build/ s3://fucking-eu-cookies/ --e... | bash |
d_bash_388 | ---
+++
@@ -2,4 +2,3 @@
set -eu -o pipefail
set -x
vgo build ./cmd/rolebot
-vgo build ./cmd/chanbot | bash |
d_bash_389 | ---
+++
@@ -24,3 +24,5 @@
sudo apt-get update
sudo apt-get install jenkins
#----------------------------------------Finish Install Jenkins----------------------------------------------
+
+#TODO: Configure Jenkins | bash |
d_bash_390 | ---
+++
@@ -5,3 +5,5 @@
i3-msg -q "workspace --no-auto-back-and-forth number 2; move workspace to output primary; workspace back_and_forth"
i3-msg -q "workspace --no-auto-back-and-forth number 3; move workspace to output primary; workspace back_and_forth"
i3-msg -q "workspace --no-auto-back-and-forth number 5; mov... | bash |
d_bash_391 | ---
+++
@@ -30,6 +30,7 @@
# where they can be accessed from within a docker container that builds
# the packages
mv ${KOKORO_GFILE_DIR}/github/grpc/artifacts input_artifacts || true
+chmod +x input_artifacts/protoc*/* || true
ls -R input_artifacts || true
tools/run_tests/task_runner.py -f package linux -j 6 | bash |
d_bash_392 | ---
+++
@@ -19,6 +19,7 @@
linux-amd64/helm init --upgrade
# Run test framework
+export GOPATH=/src
cd /src/k8s.io/charts/test/
go get -v ./...
go run ./helm-test/main.go | bash |
d_bash_393 | ---
+++
@@ -22,6 +22,6 @@
# check if the TASK variable is defined in Travi, and use make if so.
# Eventually, we'll be able to get rid of this check and call make directly
# from .travis.yml.
-if [[ -z "$TASK" ]]; then
+if ! [[ -z "${TASK+x}" ]]; then
make "$TASK"
fi | bash |
d_bash_394 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="19.03.14"
+version="20.10.6"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_395 | ---
+++
@@ -10,5 +10,6 @@
## This file is not part of GNU Emacs.
##
## License: GPLv3
-cd core
+ln -s `pwd` /home/travis/.emacs.d
+cd ~/.emacs.d/core
make test | bash |
d_bash_396 | ---
+++
@@ -25,5 +25,5 @@
else
playlist="BBC Radio $station"
fi
- curl -X POST -d "path=BBCRADIO/$playlist.m3u" "$MUSIC_HOST/db/?cmd=addplay"
+ curl -X POST -d "path=BBCRADIO/$playlist.m3u" "$MUSIC_HOST/db/?cmd=addreplaceplay"
} | bash |
d_bash_397 | ---
+++
@@ -20,4 +20,4 @@
export SSH_AUTH_USER="api"
export API_URL="http://localhost:8080/graphql"
-cd cli && yarn run execute "$@"
+cd "$(dirname "${BASH_SOURCE[0]}")/cli" && yarn run execute "$@" | bash |
d_bash_398 | ---
+++
@@ -2,7 +2,5 @@
cd repository
npm version minor
-cd nebula
-npm version minor
git push origin $BRANCH_NAME
git push origin --tags | bash |
d_bash_399 | ---
+++
@@ -2,6 +2,7 @@
alias vgu='vagrant up'
alias vgd='vagrant destroy'
alias vgr='vagrant reload'
+alias vgrp='vagrant reload --provision'
alias vgh='vagrant halt'
alias vgs='vagrant ssh'
alias vgst='vagrant status' | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.